## klinkstatus 17.08.3

=== debian/changelog ===
klinkstatus (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:07:07 +0000
